Support » Plugin: WooCommerce Stripe Payment Gateway » change in php

  • Resolved ramonah

    (@ramonah)


    Hi, On my website rhcounselling.co.uk is wordfence running and send me a warning that in the woocommerce-gateway-stripe.php was a change without my doing. The line 227 changed from:

    $use_id_as_section = function_exists( ‘WC’ ) ? version_compare( WC()->version, ‘2.6’, ‘>=’ ) : false;

    to:

    $use_id_as_section = class_exists( ‘WC’ ) ? version_compare( WC()->version, ‘2.6’, ‘>=’ ) : false;

    So, it changed from function to class. I don’t know why it changed. I did not work on my website for a few days and I did not update any plugins. Does someone have an idea what it is and is it harmful?
    I had a look in a few forums but could not find what I was looking for. So I hope someone here can help me.

    Thanks
    ramonah

Viewing 1 replies (of 1 total)
  • Plugin Support Hannah S.

    (@fernashes)

    Automattic Happiness Engineer

    I’m sorry to hear about the trouble!

    In this case, the best thing to do is to manually reinstall the Stripe plugin from here. By overwriting the files, you know that any changes are reverted. All of your settings will be saved in the database.

Viewing 1 replies (of 1 total)
  • The topic ‘change in php’ is closed to new replies.